@import 'variables.scss';

.box-oil-properties {
  width: 100%;
  height: calc(100% - 36px);
  padding: 20px 15px 0;
  position: relative;
  .title-box {
    display: block;
    margin-bottom: 15px;
    font-size: 14px;
    font-weight: bold;
    color: $gray-darker;
    text-transform: capitalize;
  }
  // box total
  .box-total {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: 35px;
    margin-bottom: 21px;
    padding: 0 11px 0 13px;
    background: #fafafb;
    border: 1px solid $gray-lighter;

    .name {
      display: block;
      width: 50%;
      font-size: 10px;
      font-weight: bold;
      color: $gray-darker;
      text-transform: uppercase;
    }

    .number {
      display: block;
      width: 50%;
      padding-left: 19px;
      font-size: 13px;
      font-weight: bold;
      color: $gray-darker;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }

  // detail total
  .detail-total {
    width: 100%;
    height: calc(100% - 60px);

    .top-detail {
      display: flex;
      align-items: center;

      .name {
        display: block;
        width: 50%;
        margin-bottom: 8px;
        padding-left: 19px;
        font-size: 11px;
        font-weight: bold;
        color: $gray-darker;
        text-transform: uppercase;

        &.first-name {
          padding-left: 13px;
        }

        .sub-name {
          display: block;
          font-size: 11px;
          font-weight: normal;
          color: #818181;
          text-transform: capitalize;
        }
      }
    }

    .box-list {
      width: 100%;
      height: calc(100% - 70px);
      margin: 0 auto;
      overflow-y: auto;
      position: relative;

      .list-detail {
        width: 100%;
        margin: 0 auto;
        padding-left: 0;
        list-style-type: none;

        cts-row-properties {
          display: block;
          width: 100%;
          height: 35px;

          &:nth-child(odd) {
            background: $disabled-color;
            border-top: 1px solid $gray-light;
            border-bottom: 1px solid $gray-light;
          }
        }
      }
    }

    .add-item {
      display: flex;
      align-items: center;
      width: 100%;
      height: 20px;
      font-size: 14px;
      color: $primary-color;
      margin-top: 3px;
      i {
        font-size: 20px;
      }
    }
  }
}
